Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class Permissions

    java.lang.Object
      jet.server.api.Permissions

    public class Permissions

extends java.lang.Object

Represents the set of user permissions in JReport Server.

Field Summary
`static java.security.acl.Permission` | `P_ACCESS_ADVANCED_PROPERTIES` Represents the permission: access advanced properties.
`static java.lang.String` | `P_BROWSER` Deprecated.
`static java.lang.String` | `P_CAT_DELETE` Deprecated.
`static java.lang.String` | `P_CAT_MODIFY` Deprecated.
`static java.lang.String` | `P_CAT_OPEN` Deprecated.
`static java.lang.String` | `P_CAT_RPT_POST` Deprecated.
`static java.security.acl.Permission` | `P_CREATE_ANALYSIS_REPORT` Deprecated. No replacement.
`static java.security.acl.Permission` | `P_DELETE` Represents the permission: delete.
`static java.security.acl.Permission` | `P_DEPLOY_REPORT` Represents the permission: deploy report.
`static java.security.acl.Permission` | `P_EDIT` Represents the permission: edit JDashboard.
`static java.security.acl.Permission` | `P_EXECUTE` Represents the permission: execute.
`static java.lang.String` | `P_FONT_POST` Deprecated.
`static java.security.acl.Permission` | `P_GRANT` Represents the permission: grant.
`static java.lang.String` | `P_NODE_VISIBLE` Deprecated.
`static java.security.acl.Permission` | `P_READ` Represents the permission: read.
`static java.lang.String` | `P_RPT_CREATE` Deprecated.
`static java.lang.String` | `P_RPT_DELETE` Deprecated.
`static java.lang.String` | `P_RPT_MODIFY` Deprecated.
`static java.lang.String` | `P_RPT_OPEN` Deprecated.
`static java.lang.String` | `P_RPT_RUN` Deprecated.
`static java.lang.String` | `P_RST_VIEW` Deprecated.
`static java.security.acl.Permission` | `P_SCHEDULE` Represents the permission: schedule.
`static java.lang.String` | `P_SKD_DELETE` Deprecated.
`static java.lang.String` | `P_SKD_DISABLE` Deprecated.
`static java.lang.String` | `P_SKD_ENABLE` Deprecated.
`static java.lang.String` | `P_SKD_EXPORT` Deprecated.
`static java.lang.String` | `P_SKD_IMPORT` Deprecated.
`static java.lang.String` | `P_SKD_POST` Deprecated.
`static java.lang.String` | `P_SKD_STOP` Deprecated.
`static java.security.acl.Permission` | `P_UPDATE_STATUS` Represents the permission: update status.
`static java.lang.String` | `P_VER_AMOUNT_SET` Deprecated.
`static java.lang.String` | `P_VER_DELETE` Deprecated.
`static java.lang.String` | `P_VER_VIEW` Deprecated.
`static java.security.acl.Permission` | `P_VISIBLE` Represents the permission: visible.
`static java.security.acl.Permission` | `P_WRITE` Represents the permission: write.

Constructor Summary
`Permissions()`

Method Summary
`static java.util.Enumeration` | `elements()` Returns all elements of permissions.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### P_BROWSER

    public static final java.lang.String P_BROWSER

  Deprecated.
  Indicates the permission Browse: lists resources in JReport Server.

  See Also:
    Constant Field Values

### P_NODE_VISIBLE

    public static final java.lang.String P_NODE_VISIBLE

  Deprecated.
  Indicates the permission Visible: lists resources node's visible or not in JReport Server.

  See Also:
    Constant Field Values

### P_CAT_RPT_POST

    public static final java.lang.String P_CAT_RPT_POST

  Deprecated.
  Indicates the permission Post Catalog and Report: uploads a catalog.

  See Also:
    Constant Field Values

### P_FONT_POST

    public static final java.lang.String P_FONT_POST

  Deprecated.
  Indicates the permission Post Fonts: updates a font.

  See Also:
    Constant Field Values

### P_RPT_RUN

    public static final java.lang.String P_RPT_RUN

  Deprecated.
  Indicates the permission Run Report: runs a report.

  See Also:
    Constant Field Values

### P_RST_VIEW

    public static final java.lang.String P_RST_VIEW

  Deprecated.
  Indicates the permission View Result: views the result of a report.

  See Also:
    Constant Field Values

### P_SKD_POST

    public static final java.lang.String P_SKD_POST

  Deprecated.
  Indicates the permission Post Schedule: uploads a schedule.

  See Also:
    Constant Field Values

### P_SKD_STOP

    public static final java.lang.String P_SKD_STOP

  Deprecated.
  Indicates the permission Stop Schedule: stops a schedule.

  See Also:
    Constant Field Values

### P_SKD_DELETE

    public static final java.lang.String P_SKD_DELETE

  Deprecated.
  Indicates the permission Delete Schedule: deletes a schedule.

  See Also:
    Constant Field Values

### P_SKD_ENABLE

    public static final java.lang.String P_SKD_ENABLE

  Deprecated.
  Indicates the permission Enable Schedule: enables a schedule.

  See Also:
    Constant Field Values

### P_SKD_DISABLE

    public static final java.lang.String P_SKD_DISABLE

  Deprecated.
  Indicates the permission Disable Schedule: disables a schedule.

  See Also:
    Constant Field Values

### P_SKD_EXPORT

    public static final java.lang.String P_SKD_EXPORT

  Deprecated.
  Indicates the permission Export Schedule To Script File: exports a schedule to a script file.

  See Also:
    Constant Field Values

### P_SKD_IMPORT

    public static final java.lang.String P_SKD_IMPORT

  Deprecated.
  Indicates the permission Import Schedule From Script File: imports a schedule from a script file.

  See Also:
    Constant Field Values

### P_VER_DELETE

    public static final java.lang.String P_VER_DELETE

  Deprecated.
  Indicates the permission Delete Version: deletes a version of the result of a report.

  See Also:
    Constant Field Values

### P_VER_VIEW

    public static final java.lang.String P_VER_VIEW

  Deprecated.
  Indicates the permission View Version: views a version of the result of a report.

  See Also:
    Constant Field Values

### P_VER_AMOUNT_SET

    public static final java.lang.String P_VER_AMOUNT_SET

  Deprecated.
  Indicates the permission Set Version Amount: sets version number of the result of a report.

  See Also:
    Constant Field Values

### P_RPT_OPEN

    public static final java.lang.String P_RPT_OPEN

  Deprecated.
  Indicates the permission Open Report: opens a report in viaWeb Designer.

  See Also:
    Constant Field Values

### P_RPT_CREATE

    public static final java.lang.String P_RPT_CREATE

  Deprecated.
  Indicates the permission Create Report: creates a new report in viaWeb Designer.

  See Also:
    Constant Field Values

### P_RPT_MODIFY

    public static final java.lang.String P_RPT_MODIFY

  Deprecated.
  Indicates the permission Modify Report: modifies a report in viaWeb Designer.

  See Also:
    Constant Field Values

### P_RPT_DELETE

    public static final java.lang.String P_RPT_DELETE

  Deprecated.
  Indicates the permission Delete Report: deletes a report in viaWeb Designer.

  See Also:
    Constant Field Values

### P_CAT_OPEN

    public static final java.lang.String P_CAT_OPEN

  Deprecated.
  Indicates the permission Open Catalog: opens a catalog in viaWeb Designer.

  See Also:
    Constant Field Values

### P_CAT_MODIFY

    public static final java.lang.String P_CAT_MODIFY

  Deprecated.
  Indicates the permission Modify Catalog: modifies a catalog in viaWeb Designer.

  See Also:
    Constant Field Values

### P_CAT_DELETE

    public static final java.lang.String P_CAT_DELETE

  Deprecated.
  Indicates the permission Delete Catalog: deletes a catalog in viaWeb Designer.

  See Also:
    Constant Field Values

### P_VISIBLE

    public static final java.security.acl.Permission P_VISIBLE

  Represents the permission: visible.

### P_READ

    public static final java.security.acl.Permission P_READ

  Represents the permission: read.

### P_WRITE

    public static final java.security.acl.Permission P_WRITE

  Represents the permission: write.

### P_EXECUTE

    public static final java.security.acl.Permission P_EXECUTE

  Represents the permission: execute.

### P_SCHEDULE

    public static final java.security.acl.Permission P_SCHEDULE

  Represents the permission: schedule.

### P_DELETE

    public static final java.security.acl.Permission P_DELETE

  Represents the permission: delete.

### P_GRANT

    public static final java.security.acl.Permission P_GRANT

  Represents the permission: grant.

### P_UPDATE_STATUS

    public static final java.security.acl.Permission P_UPDATE_STATUS

  Represents the permission: update status.

### P_EDIT

    public static final java.security.acl.Permission P_EDIT

  Represents the permission: edit JDashboard.

### P_CREATE_ANALYSIS_REPORT

    public static final java.security.acl.Permission P_CREATE_ANALYSIS_REPORT

  Deprecated. No replacement.
  Represents the permission: create analysis report.

### P_DEPLOY_REPORT

    public static final java.security.acl.Permission P_DEPLOY_REPORT

  Represents the permission: deploy report.

### P_ACCESS_ADVANCED_PROPERTIES

    public static final java.security.acl.Permission P_ACCESS_ADVANCED_PROPERTIES

  Represents the permission: access advanced properties.

Constructor Detail

### Permissions

    public Permissions()

Method Detail

### elements

    public static java.util.Enumeration elements()

  Returns all elements of permissions.

  Returns:
    all elements of permissions. Contains value `P_VISIBLE, P_READ,P_WRITE,P_EXECUTE,P_SCHEDULE,P_DELETE,P_GRANT,P_UPDATE_STATUS.`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD